=== debian/control ===
Source: ld.so
Section: base
Priority: required
Maintainer: David Engel <david@debian.org>
Standards-Version: 0.2.1.1

Package: ldso
Section: base
Priority: required
Essential: yes
Architecture: any
Replaces: libc
Provides: libdl1
Description: The Linux dynamic linker, library and utilities.
 The dynamic linker provides the user-level support for loading and
 linking DLL and ELF shared libraries.  It is required by any program
 that uses shared libraries, which is just about all of them.
